/**************************************************************************
	GreyButtons
	
	Public domain, by Zig Zichterman.
	
	This custom control definition implements 3D buttons according to 
	the guidelines suggested in _develop_ 15.
**************************************************************************/

#include "LGBPushButton.h"
#include "LGBCheckbox.h"
#include "LGBRadio.h"
#include "LGBIconButton.h"

const short	iconButProc	= 4;

pascal long
main(short inVariation, ControlHandle ioControl,
		short inMsg, long ioParam)
{
	switch (inVariation) {
		case pushButProc				:
		case pushButProc | useWFont		:
			// push button 
			return LGBPushButton::Main(inVariation,
					ioControl,inMsg,ioParam);
			
		case checkBoxProc				:
		case checkBoxProc | useWFont	:
			// check box
			return LGBCheckbox::Main(inVariation,
					ioControl,inMsg,ioParam);
		
		case radioButProc				:
		case radioButProc | useWFont	:
			// radio button
			return LGBRadio::Main(inVariation,
					ioControl,inMsg,ioParam);
		
		case iconButProc				:
		case iconButProc | useWFont		:
			// icon button
			return LGBIconButton::Main(inVariation,
					ioControl,inMsg,ioParam);
			
		default :
			return 0;
	}
}
